Bug 735343 - PyDev's arch->noarch change causes failure to load
Summary: PyDev's arch->noarch change causes failure to load
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 12:35 UTC by David Duncan
Modified: 2012-08-07 19:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:45:23 UTC


Attachments (Terms of Use)
eclipse --consolelog --debug (6.77 KB, text/plain)
2011-09-02 12:35 UTC, David Duncan
no flags Details
eclipse --consolelog --debug -clean (8.83 KB, text/x-log)
2011-09-08 04:47 UTC, David Duncan
no flags Details
sosreport from affected machine. (1.21 MB, application/x-xz)
2011-09-09 11:31 UTC, David Duncan
no flags Details
md5 sum for sosreport (33 bytes, application/octet-stream)
2011-09-09 11:32 UTC, David Duncan
no flags Details

Description David Duncan 2011-09-02 12:35:52 UTC
Created attachment 521221 [details]
eclipse --consolelog --debug

The eclipse-pydev environment is excluded by Eclipse after update.  Root cause is determined to be related to the different versions of eclipse-pydev included. 

the plugin eclipse-pydev.x86_64, version 1.6.5 is upgraded to eclipse-pydev.noarch, version 2.2.1.  Pydev no longer loads in the eclipse (Helios or eclipse-pde.x86_64, version 3.6.2) environment. 





Steps to Reproduce:
On an x86_64 based system use the following steps: 

1: yum groupinstall "Fedora eclipse" 
2: #eclipse   
 run Eclipse, pydev will not load.  see attached pydev_debug.txt gathered from eclipse console log. 
3: yum remove eclipse-pydev.noarch
4: yum install eclipse-pydev.x86_64
  run eclipse . pydev will load.

Comment 1 Andrew Overholt 2011-09-02 12:54:56 UTC
So what you're saying is that when the new, noarch eclipse-pydev package is installed (and the arch-specific one is *not* installed), it fails to load but when it's the opposite situation, it works fine?

Comment 2 David Duncan 2011-09-03 21:56:43 UTC
I don't think that is exactly what i am saying.  I mean that no matter  what.  The eclipse-pydev.noarch is not working with the eclipse-pde.x86_64 at all.  The eclipse-pydev.x86_64 is neither installed for an existing eclipse-pde.x86_64 nor preserved during an upgrade.  
I can uninstall the pydev.noarch and install the pydev.x86_64, but i must blacklist the later pydev.noarch to prevent future replacement.

Comment 3 David Duncan 2011-09-04 12:57:09 UTC
So quick questions: Should the eclipse-pydev.noarch update the eclipse-pydev.x86_64?  I did not think it appropriate. 

Why is the 2.2.1 version not available in a .x86_64 version?

Comment 4 Andrew Overholt 2011-09-06 13:07:04 UTC
Looking at eclipse-pydev's changelog, I see this entry explaining the move to noarch:

* Mon Apr 4 2011 Alexander Kurtakov <akurtako@redhat.com> 1:2.0.0-1
- Update to upstream version 2.0.0.
- Make the package noarch. It was arch only for psyco which seems to be dead now(no longer available in Fedora).

So it appears that the noarch package should be the only package available.

Comment 5 Alexander Kurtakov 2011-09-06 13:20:24 UTC
Would you please try moving away your ~/.eclipse and attaching the output of eclipse -consolelog -debug -clean . Clean switch forces to reconciler to revalidate the bundles and thus prints more detailed information even if it has a cashed failure and no other fs change happened after that.

Comment 6 David Duncan 2011-09-08 04:46:36 UTC
[davdunc@davdunc-xps ~]$ cd 
[davdunc@davdunc-xps ~]$ mv .eclipse ~/dot_eclipse
[davdunc@davdunc-xps ~]$ eclipse -consolelog -debug -clean | tee output.log

Performed and uploading the output.log for review.  

Thanks to Andrew for reminding me that I could look in the changelog for answers.  

FYI on my Java environment: 

[davdunc@davdunc-xps ~]$ alternatives --display java
java - status is auto.
 link currently points to /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java
/usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java - priority 16000
...<**snipped out the slave settings**> 
/usr/lib/jvm/jre-1.5.0-gcj/bin/java - priority 1500
...<**snipped out the slave settings**>
Current `best' version is /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java.
[davdunc@davdunc-xps ~]$

Comment 7 David Duncan 2011-09-08 04:47:53 UTC
Created attachment 522038 [details]
eclipse --consolelog --debug -clean

Comment 8 Andrew Overholt 2011-09-08 13:04:11 UTC
Please paste here the output of:

rpm -qaV eclipse-*

Is there a chance eclipse was run as the root user at any point?  I'm concerned that things have been modified in /usr/lib64/eclipse and that's breaking the run-time reconciliation of newly-installed plugin RPMs

Comment 9 David Duncan 2011-09-08 23:57:48 UTC
[davdunc@davdunc-xps ~]$ rpm -qaV eclipse-*
[davdunc@davdunc-xps ~]$ 


[davdunc@davdunc-xps ~]$ rpm -qi eclipse-pde
Name        : eclipse-pde
Epoch       : 1
Version     : 3.6.2
Release     : 5.fc15
Architecture: x86_64
Install Date: Sun 28 Aug 2011 09:39:27 PM CDT
Group       : Text Editors/Integrated Development Environments (IDE)
Size        : 96261559
License     : EPL
Signature   : RSA/SHA256, Thu 28 Apr 2011 05:26:40 AM CDT, Key ID b4ebf579069c8460
Source RPM  : eclipse-3.6.2-5.fc15.src.rpm
Build Date  : Wed 27 Apr 2011 04:22:34 PM CDT
Build Host  : x86-18.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.eclipse.org/
Summary     : Eclipse Plugin Development Environment
Description :
Eclipse Plugin Development Environment.  This package is required for
developing Eclipse plugins.
[davdunc@davdunc-xps ~]$

Comment 10 Alexander Kurtakov 2011-09-09 07:10:03 UTC
Would you please give us the output of 
rpm -qV icu4j-eclipse
rpm -qV tomcat5-jasper-eclipse
rpm -qa|grep jpp

Comment 11 David Duncan 2011-09-09 11:28:09 UTC
[root@davdunc-xps ~]# rpm -qV icu4j-eclipse
[root@davdunc-xps ~]# 
[root@davdunc-xps ~]# rpm -qV tomcat5-jasper-eclipse
[root@davdunc-xps ~]# 
[root@davdunc-xps ~]# rpm -qa | grep jpp
[root@davdunc-xps ~]# 

I am going to attach an sos report for you.

Comment 12 David Duncan 2011-09-09 11:31:14 UTC
Created attachment 522308 [details]
sosreport from affected machine.

Comment 13 David Duncan 2011-09-09 11:32:03 UTC
Created attachment 522309 [details]
md5 sum for sosreport

Comment 14 Fedora End Of Life 2012-08-07 19:45:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.